system hangs at shutdown

Bug #138691 reported by Tomáš Hledík on 2007-09-10
80
This bug affects 3 people
Affects Status Importance Assigned to Milestone
dbus (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Shyamala
hal (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Shyamala
network-manager (Ubuntu)
Medium
Unassigned
Nominated for Hardy by Shyamala

Bug Description

System hangs at shutdown.
Looks like some probblem with network:
NetworkManager: <WARN> nm_hal_deinit(): libhal shutdown failed - connection is closed
NetworkManager: nm_hal_deinit(): nm_dbus_signal_device_status_change: assertion 'cb_data->data->
bus_connection' failed
NetworkManager: nm_hal_deinit(): nm_dbus_signal_device_status_change: assertion 'cb_data->data->
bus_connection' failed
NetworkManager: <WARN> nm_dbus_init(): nm_dbus_init could not get the system bus. Make sure the message bus daemon is running!

ProblemType: Bug
Architecture: i386
Date: Mon Sep 10 18:00:26 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/bin/yelp
Package: yelp 2.19.90-0ubuntu3
PackageArchitecture: i386
ProcCmdline: yelp
ProcCwd: /home/tomba
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=sk_SK.UTF-8
 SHELL=/bin/bash
SourcePackage: yelp
Uname: Linux dellbuntu 2.6.22-11-generic #1 SMP Fri Sep 7 05:07:05 GMT 2007 i686 GNU/Linux

Tomáš Hledík (tomas-hledik) wrote :
Alexander Sack (asac) wrote :

do you still experience this bug with network-manager 0.6.5-0ubuntu13?

If so, please attach your /var/log/syslog and daemon.log to this bug.

Thanks,

 - Alexander

Changed in network-manager:
status: New → Incomplete

My system sometimes hangs at shutdown. This happens also in gutsy beta. When I press the shut down button or type the poweroff command, the screen gets black with some light black squares blinking, and it hangs so forever. I think it is related with X, and indeed this happened even more often with my old laptop, where the Sis motherboard had a bad support.

Anyway I post here this bug since when the shutdown procedure I see a
"NetworkManager: <WARN> nm_hal_deinit(): libhal shutdown failed - connection is closed"
message in the screen (I use the "nosplash" option).

I attach my syslog file from my gutsy release.

and the daemon.log file

nowshining (nowshining) wrote :

mime does the same thing but says halted or whatever and then everything acts like it shutoff - usb mouse is off, etc.. however keyboard ps/2 works fine after all that - really really odd, restarts work fine tho.

Alexander Sack (asac) wrote :

nowshining, why do you think that your issue is network-manager related at all?

I think it is related to X. The first poster related it to network manager, and I think this also can make sense. I have no idea why, but it seems that network-manager causes the systems to hang in some cases. For instance, I reported a frequent bug concerning this behaviour at startup here
https://bugs.launchpad.net/ubuntu/+bug/143990

nowshining (nowshining) wrote :

Alexander I don't and since it is related on the shutdown hangs I don't know what the exact problem is, but i figured if I DID file a seperate bug report well it would of just be tagged as a duplicate of this one at least..

nowshining (nowshining) wrote :

by the way i used to have the network error however all worked fine before - no libhal but connection is closed part and I only use dialup and no network, etc..

mine just said on last try to shutdown - however I am using the .12 kernel now because .13 and .14 won't boot up at all - i filed a seperate report on that tho..

{3157.810851} System Halted

and that above is it, the light is still on the 4600i however the USB mouse if off and the keyboard ps/2 is still active so I can by the keybaord hit ctrl + alt + delete to do a reboot.

Vangelis Tasoulas (cyberang3l) wrote :

In a friend of mine`s PC this problem also occurs...

Look at the screenshot I have attached with my post.

If you need any of the log files that will help you track the problem please let me know.

Thanks.

KWolf (arctos) wrote :

I have the same problem on the Dell Optiplex G240 here. The system stops shutting down and shows this:

NetworkManager: <WARN> nm_hal_deinit(): libhal shutdown failed - connection is closed

as the last message on the screen. If I hit ESC it will reboot. It is important to note that of the 3 (different) PCs I have installed Ubuntu on this is the only one with this problem. Dunno what makes this one so different. It's running a 3c905-TX (3c59x driver) as the NIC if that is of importance.

KWolf (arctos) wrote :

Here's the other requested file.

nowshining (nowshining) wrote :

okay i found out my problem i was messing around with grub commands and had such after removing the ones I barely understood or didn't really need, it shuts off now, however i'm off to the forums to get help on a HALTS INSTEAD OF REBOOTS problem i'm now having.

DanB (dan-signup) wrote :

I am having the same problem with my Dell optiplex GX620. The weird thing is that it does not happen everytime. Cannot find the relevant log, but is says:

NetworkManager: nm_dbus_signal_device_status_change: assertion `cb_data->data->dbus_connection' failed

It does not happen every time to me either!

However, even when it does not happen, the PC does not shut down. It
hangs at a black screen. I think Ubuntu isn't handling this
computer's ACPI well. For example, when I hit the button on the front
of the PC it instantly shuts off, where that should run software
shutdown sequences first.

On Nov 9, 2007 1:59 AM, DanB <email address hidden> wrote:
> I am having the same problem with my Dell optiplex GX620. The weird
> thing is that it does not happen everytime. Cannot find the relevant
> log, but is says:
>
> NetworkManager: nm_dbus_signal_device_status_change: assertion
> `cb_data->data->dbus_connection' failed
>
>
> --
> system hangs at shutdown
> https://bugs.launchpad.net/bugs/138691
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Kevin W. Wolf
General Atomics - Power Inverters
Work: 760-891-1108
Cell: 760-473-7575
<email address hidden>

Sesivany (jiri-eischmann) wrote :

I have exactly the same problem. When my desktop computer's going off it hangs on black screen with this at the end:
bus_connection' failed
NetworkManager: <WARN> nm_dbus_init(): nm_dbus_init could not get the system bus. Make sure the message bus daemon is running!

It does always! I'm running Gutsy upgraded from Feisty.

DanB (dan-signup) wrote :

My system is Gutsy upgraded from Feisty too.

I did not have this problem when I was running Opensuse 10.2

tashi (carma-trepp) wrote :

Got this problem too with a up to date gutsy . Is there now a fix available?

kokerkov (kokerkov) wrote :

still exists.but i type "halt"in recovery mode ,it tells"halt:unable to iterate IDE devices:no such files or directory.
here is syslog&daemon.log:

kokerkov (kokerkov) wrote :
Basilio Kublik (sourcercito) wrote :

Hi there
do you still experience this issue with the current version of the application?, could you please try to reproduce this using the live environment of the Desktop CD of the development release - Hardy Heron.

Thanks again and we appreciate your help.

Changed in network-manager:
assignee: nobody → sourcercito
importance: Undecided → Low

I have the same problem on Ubuntu Hardy Heron 8.04

tashi (carma-trepp) wrote :

Hi

Now I figured out. I get only problems with the Realtime Kernel, the
generic Kernel works good with Suspend to RAM.

Thanks you

Carma

Basilio Kublik schrieb:
> Hi there
> do you still experience this issue with the current version of the application?, could you please try to reproduce this using the live environment of the Desktop CD of the development release - Hardy Heron.
>
> Thanks again and we appreciate your help.
>
> ** Changed in: network-manager (Ubuntu)
> Importance: Undecided => Low
> Assignee: (unassigned) => Basilio Kublik (sourcercito)
>
>

Björn Streicher (bstreicher) wrote :

There are two quite similar bug reports: bug 200622 and bug 161945

John Vivirito (gnomefreak) wrote :

This looks more like a dbus issue than a network-manager issue, the connection is closed before you reach the dbus errors so i dont see why network-manager would be cause of this issue but would much rather someone with more dbus knowledge to decide.

Matt LaPaglia (mlapaglia) wrote :

I don't have network-manager installed and I still get this error. I've had it since Feisty as well.

Changed in dbus:
status: New → Confirmed
Changed in hal:
status: New → Confirmed
Changed in network-manager:
assignee: sourcercito → nobody

I am running hardy beta with latest updates. My system does not hang completey but it does take an extremely long time to shutdown. The errors are the same as reported here. I have lenovo x61 laptop.

Leszek (bigl-aff) wrote :

I also have this error with latest Hardy (RC from 2008-04-19). I've CIFS share mounted on startup from /etc/fstab. I've discovered that when I configure in network-manager my network card (ethernet) to roaming mode I always get these messages and it does take an extremely long time to shutdown. I thought that it was since message about deactivating eth0 were earlier than messages about contacting CIFS server.

But when go into network-manager, disable roaming connection for eth0 and set it to DHCP everything works OK and usplash screen behaves normally until full shutdown. Maybe it will help to trigger this problem.

Yvo (yvo-vandoorn) wrote :

With Ubuntu 8.04 on a Dell Optiplex 745 this *always* happens. Every restart or shutdown I get this error and then it hangs on the shutdown. I let it sit for over 48 hours (over the weekend) and it never shutdown so it truly did hang.

Marbonilla (marbonilla) wrote :

I have Ubuntu 7.10 - the Gutsy Gibbon - released in October 2007

I am using a HP Pavilion Dv 1100, and I have exactly the same problem, I am not a very techinical guy in Linux, but when I shut down the system either Restart or Shutdown, is hangs in black screen and the last error it shows is just the same as everybody mentions here.

So to shut down the computer I have use the On/Off Switch.

Plase let me know if anyone has found a solution to this.

Hew (hew) wrote :

While the system hangs on standard shutdown, hibernation can still be used to successfully "shut down" the computer.

Nick Wilsdon (nickwilsdon) wrote :

Can confirm same issue here on 8.04 - Hardy Heron

network-manager_0.6.6-0ubuntu5_i386.deb

I uninstalled network manager to replace with wicd, only to find they had no VPN support. However this did resolve the problem, PC restarted and shutdown with a problem again. Reinstalled network manager and problem came back.

Nick Wilsdon (nickwilsdon) wrote :

syslog log attached (after rebooting)

Nick Wilsdon (nickwilsdon) wrote :

daemon log attached (after rebooting)

Adolfo R. Brandes (arbrandes) wrote :

This is happening in Hardy, too. I removed network-manager and this will get rid of the error messages, but the shutdown delay persists.

papatom (tom-low) wrote :

I experience the same errors indicated above only my hang is momentary with system shutdown being successful. I have a fresh install of 8.04 (not upgraded from 7.10) on an old Dell Dimension XPS T450 home PC with a processor upgrade to Intel 1.3 gigs. I'll wait for a cure to be posted to find a resolution. For now it's not a big problem just a nuisance.

Mappy (dave-mapstone) wrote :

Hi Leszek - is this similar to what you were/are getting ?

My Inspiron 9300 (using ipw2200 and fresh install of 8.04) was hanging at shutdown with almost identical Network Manager error messages to the original bug report. After the Network Manager errors I was getting a long delay, followed by some CIFS error messages, before it hung for good.

I uninstalled Network Manager, which just left me with CIFS error messages.

I found a hal startup Bug #44874, caused by CIFS shares. Changing my cifs shares in fstab to 'noauto' allowed it to shutdown normally - but it still hung if they had been mounted.

My current work-around is to umount all the shares before shutting down. Not ideal, but at least it works.

Leszek (bigl-aff) wrote :

@Mappy - Yes, this is exactly what I had. Network Manager errors as in bug report and then CIFS errors. But after my workaround everything is fine.

Adolfo R. Brandes (arbrandes) wrote :

It seems the latest proposed updates (includes some possibly related kernel and dbus stuff) fixed my shutdown delay problems. People with problems should give them a try, or wait until they get moved to regular updates.

I've started having this since Hardy - 90% hang on halt, never on reboot. Haven't paid attention if any recent updates have fixed it, will observe.

We currently have three machines at work that show this behaviour: On shutdown, the system will hang with output resembling what the original poster described in his bug report (Netmanager lines etc.). Every now and then, this output is followed by "Sending all processes the KILL signal", but none of the machines will shut down any further. This is the single-biggest showstopper that prevents us from rolling out (K)ubuntu at the moment. What I have been able to gather so far is this:

Machine 1: An Acer TM8104WLMib Laptop with Kubuntu 7.10 i386 installed from the alternate disk, with all updates. I tried adding "acpi=off" to the boot options, but that results in the network interfaces not being recognised and didn't seem to help anyway. This machine *will* shut down if I choose "console login" (hence shutting down X first) and the issue "shutdown -h now" from the command line.

Machine 2: Desktop with Asus P5L-1394 motherboard and an Intel PD925. Kubuntu 8.04 i386 without any updates, installed automatically via preseeded network-install, using the alternate CD as starting point, but with a complete mirror (via apt-mirror) of "dists" and "pool". Originally, this machine had Kubuntu 7.10 and needed to be installed using a second NIC, as the onboard NIC (Attansic L1) was not recognised by the install kernel. In that case, the shutdown problem vanished when I removed the second NIC. It returned, however, when I installed 8.04 using the onboard NIC only (fortunately, 8.04's install kernel *does* support the chipset).

Machine 3: Desktop with Asus M2A-VM motherboard and an AMD Athlon X2. Kubuntu 8.04 i386 installed automatically via preseeded network-install, using the alternate CD as starting point, but with a complete mirror (via apt-mirror) of "dists" and "pool" (like machine 2). All updates including the latest "proposed" ones are installed (to check what was said by Adolfo above). Still having the shutdown problem. I tried adding "irqpoll apci=off" to the boot options, but that did not change anything. Again, if I choose "console login" and press Ctrl-Alt-Delete, the machine will shut down properly, though not power off. Using "normal" shutdown it hangs in the manner described above.
I have also tried to boot this machine with the Kubuntu 8.04 i386 Desktop Live CD and in that case, the machine *will* shut down properly (after having displayed the "Remove CD" message)

I have done some more experimenting with "Machine 3" from my previous message. Results:

- If I boot the machine, the press Ctrl-Alt-Del at the login screen (i.e. without logging in) and choose shutdown, the machine *will* shut down properly
- If I boot the machine and log in, then choose "Turn off" via the KDE Menu, the machine will hang as described
- If I remove "quiet splash" from the boot options, the machine *will* shut down properly, even if I do log in. I can still see the Networkmanager/dbus error messages described above during the shutdown process, though.

Given these results, my guess is that X does also play a part in this - rather annoying - bug...

Looks like I spoke too soon - apparently, removing "quest splash" does not always help. The machine just hung again, despite this change. Maybe some race condition?

j_israel (israel-redes) wrote :

I had a problem similar with optiplex 745, but i solved when modify /boot/grub/menu.lst

# defoptions=quiet splash
 for this
# defoptions=quiet splash reboot=b

Maybe help you.

"reboot=b" didn't make any change on "Machine 3" (Asus M2A-VM). I did, however, find a few more things on both desktop machines (as the laptop is still on 7.10, I'll focus on the two 8.04 machines):

- Adding some extra wait time in /etc/init.d/kdm after stopping kdm and before calling usplash_down did not make any change
- If I use "shutdown -P now" remotely (i.e. via a ssh session as root (root account *is* enabled)), the machines seems to shut down properly all the time
- If I use "sudo shutdown -P now" from a Konsole, the machine hangs on shutdown as described
- If I do an "su -" first in Konsole to become 'root', a subsequent "shutdown -P now" will successfully shut down the machine
- When the machine hangs, I can actually use "Ctrl-Alt-Del" to get the shutdown process to continue. The first message I see then is "Main rc0 process killed". Also, I get a message about "shutting down kdm... ...kdm is not running". However, in this case, the machine will not shut down all the way, instead, I end up with a black screen with a white blinking cursor in the top left corner.

For completeness, as X seems to play some kind of role:
- "Machine 2" (Asus P5L-1394) has an nVidia 7300LE VGA card
- "Machine 3" (Asus M2A-VM) has an ATI Radeon RS690/Radeon X1200 Series VGA card (onboard)

Another piece for the puzzle: Apparently, if I shut down all network related services (NIS, NTP, NFS/automounter) prior to initiating shutdown from within KDE, the machines are much more likely to successfully shut down. No idea why.

A long row of boot/shut-down cycles with varying parameters got me a bit closer to the solution:

All the machines we use have static NFS mounts for some additional directories in /usr/local plus automounted home directories (also via NFS). I haven't experimented with the home directories yet (all tests were run using a local user), but I discovered this:
If I manually unmount the static NFS mounts prior to shutting down, the shutdown will succeed. Further investigation showed that the shutdown actually hangs in umountnfs.sh (/etc/rc0.d/S31umountnfs.sh) right at the "umount" command. Hence, something has happened previously during the shutdown process that prevents the "umount" from succeeding.

I went even further and added a custom script to /etc/rc0.d to investigate at which point "umount" would fail to work. Unmounting of the static NFS shares worked fine until after sendsignals (/etc/rc0.d/S20sendsignals) has been run, i.e. I can add a script at S19.... or any of the K... levels that unmounts the NFS shares and it will succeed. If I add it as S21... or higher, it will hang at "umount", just like the umountnfs.sh script does. It looks like "sendsignals" kills something that is vital to unmounting the NFS shares (NetworkManager?!).
However, this does not explain why there is a difference between initiating shutdown from within KDE/kdm and running "shutdown -P now" from the console. For that, I have no idea whatsoever...

Now that I can design a workaround for this, I will have a look at the automounted directories...

SOLVED!

Finally, I got the whole thing working. In the end, the solution was simple: Disable/remove NetworkManager! Boot times actually seem shorter and shutdown works. NIS now comes right up (as opposed to with a delay with NetworkManager operating). To disable NetworkManager without removing it, do the following:

1) Make CERTAIN that your standard network interface is configured properly in /etc/network/interfaces. "systemsettings" was no help in doing so - I had to edit the file manually. In my case, there already was an entry for "eth0" - I just needed to add/uncomment the actual configuration. The complete entry looks like this:

  # The primary network interface
  auto eth0
  iface eth0 inet dhcp

Once this is done, the interface will be enabled during boot-up, despite NetworkManager being disabled.

2) Disable NetworkManager
Create two files in /etc/default:
echo "exit" > /etc/default/NetworkManager
echo "exit" > /etc/default/NetworkManagerDispatcher

3) Reboot

If everything went well, you should now have a working, NetworkManager-free network interface.

DOWNSIDES:
There are probably some potential downsides to disabling NetworkManager, especially if you want your machine to automatically switch between e.g. ethernet and wireless - as far as I understand that's precisely what NetworkManager was invented for. Hence, this situation does need "real" fixing at some point. However, if you have a workstation with a static network interface (in our case, even the laptops are used that way), there's no need for such functionality - just getting the interface up at boot time is sufficient.
Another downside is that the knetworkmanager icon does no longer work to indicate the status of the network connection. "knetstats" seems to do the job nicely, however.
As we don't need NetworkManager's functionality, there might be potential downsides that I have missed - YMMV, as always.

To the developers: If you need some additional input to try and debug the underlying NetworkManager problem, please let me know and I'll rig up a box that uses NetworkManager to test.

Nick Wilsdon (nickwilsdon) wrote :

Thanks for the comments Thomas.

I completely removed network manager but still got CIFS error messages (same as Mappy above), so this may not be the workaround for everyone. I did remove NM though rather than disabling it as you suggest.

However removing NM was a no-go for me as it prevented me connecting to our server via VPN. We're using the VPN Connection Manager (PPC generic) which is a PPTP plugin for NM according to the blurb. So this path is probably not for me - unless someone knows of an alternative way to connect to VPN?

The reason I removed NM initially was to try Wikd - but they do not have VPN support yet.

Hmm, I'll have to check out that fix. The past couple of days I've been using a fix in init.d from here -> http://ubuntuforums.org/showthread.php?t=772733&page=4#36 . It works for me about 90% of the time, which is satisfactory to me, though, of course, I'd like it fixed completely.

@Thomas:
Well, it doesn't seem to affect my connection, so I guess that's good.

ikar (ioannis-karalis) wrote :

I have the same problem with my desktop (MOBO Asus P5K). I uninstalled the network manager and installed wicd. For a couple of times this seemed to solve the problem but it has now come back. When I ask the computer either to shutdown or restart it hangs for ever. If I press however Alt-Control-Backspace it proceeds to the action (restart or shutdown) that I have ordered. Any ideas?

Well, one thing I found very valuable when debugging my version of this problem (apparently, there are several causes resulting in the same or at least very similar behaviour) is this:
In /etc/default/rcS, make sure that "VERBOSE" is set to "yes" (default is no). That way, some of the scripts in /etc/init.d will be, well. more verbose - only after making this change did I doscover that the shutdown did *not* hang at "Sending...KILL... processes" (which comes from /etc/init.d/sendsignals), but rather later in /etc/init.d/unmountnfs.sh. Unfortunately, there are several scripts running after 'sendsignals' that do not print any output to the screen, unless VERBOSE is yes. In the end, I even added 'echo' statements to some scripts in /etc/init.d just to find out where *exactly* the shutdown hung.

I would like to suggest that everybody who experiences this kind of problem tries to look into this - the more precise we can pinpoint the exact location where the shutdown process hangs, the greater the chance that the developers can actually solve this.

To the developers: I forgot to mention that - just before removing NetworkManger - I also found a way to get rid of its error messages at shutdown without removing it.I copied "K20dbus" from /etc/rc1.d to /etc/rc0.d, figuring that if dbus needed shutdown for single user, it would also need shutdown for shutdown... After that modification, NetworkManager did no longer spew that bunch of warnings and error messages that the original poster described. It did, however, not solve the problem with the hang.
Of course, I'm used to a fully blown Sys V compatible runlevel mechanism (as used e.g. by Red Hat, SuSE, Mandrake) rather than what (K)ubuntu does, so I might well have overlooked something here.

Same with my Laptop Acer Travelmate 4000 and Ubuntu 8.04.
Please note: Ubuntu 7.04 is running perfectly on my system (in parallel), without any special configuration (so it cannot be a BIOS issue)

Switching screens with Strg+ALT+F7 and +F8 I see the error message:
halt: unable to iterate IDE devices: No such file or directory

which is also true, there is no such file in directory /proc (which is existing in Ubuntu 7.04). And the laptop does not turn off.
Boot options lapic, acpi=force did not change anything.

I realized this issue only after installation of ClamAV, but I guess this is a pure coincidence.

From the attachments you will see, that I am also struggeling with irda, but I guess that's also not connected to this.

Following the log files attached:

johanden.se (johanden) wrote :

I've tried Thomas workaround by disabling the NW manager. This worked great (a lot faster as well ;)) apart from one thing that required me to enable network manager again.

 I'm using Amarok with a mysql database on my Kubuntu Hardy machine. Without the Network manager mysql won't start at boot and since I'm a complete newbie on sql databases etc. I went on the easy way and undid all the things I've done....
Now Amarok wth mysql is back on track, however, I'm most likely back with that same error message as everyone else here has :/

Michael Nagel (nailor) wrote :

this is reproducible on every shutdown.
it does not happen when rebooting, though (always (!? - i have not tested enough to be sure if it never happens then))

and secondly i wonder why this is considered low/undecided. i think this bug is rather a show stopper. you should not be happy if ubuntu boots and works for you, but it should shutdown, too :)

Nick Wilsdon (nickwilsdon) wrote :

I've not changed anything on my system but I recently discovered that about 15-20 mins after it gets to the black screen and the CIFS error messages, my system shuts off by itself.

Not great but feels better for the system than holding down the power button until it goes off each day.

Might be useful information for someone but I get the feeling this bug isn't considered particularly important by anyone (or just affects a very few people). As Michael says, it is marked "low", even with this many comments. Not being able to turn off the system it a bit unnerving and gives the impression that Ubuntu is broken.

I know as a long time Windows user, I'm nervous about forcing the machine to shutdown all the time in case there is damage to the disks etc. but maybe this is "safer" in Ubuntu/*nix?

Here's another observation.
On my system, the proprietary fglrx driver causes system hangs when enhanced features are used (e.g. Google Earth). This can be resolved by turning the tickless kernel off with the boot option "nohz=off". Only this, no "acpi=force"! as mentioned in some forums.
The side-effect is, that now my system shuts down in a stable way since 3 days.

HeikoG (heiko-am-anger-1) wrote :

Same problem here with my laptop (self-made, core2duo based, hangs on every shut down after "Sending all processes the KILL signal") ...

I have no idea why this is not elevated to a higher priority. What do you need to investigate a fix?

Regards,
 Heiko

HeikoG (heiko-am-anger-1) wrote :

I can confirm that my system works fine once I uninstall network manager. However, this is not the desired solution for me, because in the past I relied heavily on nm ...

Best Regards,
 Heiko

Michael Nagel (nailor) wrote :

@nick: from my observation the system hangs after unmounting the harddisks and it should be rather save to forcefully power down the system then. it's in no way a clean solution, though.
@ hiller: are you sure your problem is directly related to this bug? your problem seems to be about fglrx whereas this bug is about network manager and its companions. i do not use a realtime kernel, either but a plain generic one.

i'll try if uninstalling n-m is a workaround. what negativ side effects am i about to experience?

Nick Wilsdon (nickwilsdon) wrote :

@Michael,

Thanks for that info, that was my main worry.

RE: removing NM. I don't think there are any side effects to removing it unless you need it to connect. Other people seem to have been fine removing this. There is also an alternative Wicd which you can look at. Unfortunately we connect over a VPN so NW is the only way to go at the moment (Wicd has no VPN support atm).

http://wicd.sourceforge.net/

Michael Nagel (nailor) wrote :

removing n-m does not have the desired effect. the system still does not shut down nicely and i can't connect to the network any longer. seems to be another problem, see Bug #154207

Björn Streicher (bstreicher) wrote :

I am not sure what KDE version you are all using and I don't think this has been discussed here yet. Anyway, for me, the problem appeared when switching to KDE 4. However, since recently I am using KDE 4.1 Beta (installation instructions from http://www.kubuntu.org/announcements/kde-4.1beta1.php) and the problem does not appear as often as it used to anymore. You might want to give it a try, it's actually pretty stable already.

Michael Nagel (nailor) wrote :

i do not have installed *ANY* version of KDE, whatsoever.

What are the side effects of turning tickless mode on (nohz=off)? All I can find on it is that it saves a small amount of power (http://kernelnewbies.org/Linux_2_6_21), so I assume that making my computer shut down is worth it?

@Michael:
Does your computer have to get a new IP everytime it logs in? When I was troubleshooting a network problem (that ended up being the ISP's fault), I released all the local IPs, and I had to enable the network manager again to get it to reconnect. Of course, after that, I can turn it off again, though that still doesn't provide a full solution for me.

ubu (ffrr-deactivatedaccount) wrote :

Someone else mentioned the realtime kernel.

I never had any problems like this UNTIL I installed the ubuntu-studio audio apps package - which includes the realtime kernel. Now I get the same networkmanager/message bus problems reported here and fauilure to shutdown (most of the time - sometimes it works, sometimes it doesn't)

Is there any easy way to switch back to the normal kernel to test if that will make the problem go away?

Philipp Kern (pkern) wrote :

Ok, as I debugged this with Michael yesterday:

The bug, as it was reported, is about the failure messages sent to the console by network-manager. This is due to n-m not being able to cope with the hal and dbus shutdown through sendsigs, because own init scripts are missing, to shut the services down in a proper order.

The problem is aggravated with usplash not showing the console with the init script output, but another one. The n-m failures are probably just sent to the active console. I did not debug this any further because Michael's problem was neither n-m nor NFS/CIFS related:

I removed quiet and splash from the command line. This showed, upon shutdown, all init script and kernel messages. The kernel showed 'System halted' at last, so it was clear that it was an ACPI problem, i.e. the kernel is unable to turn the computer off. Somehow it didn't use ACPI on this particular machine, due to problems with the BIOS's DMI tables. Passing "acpi=off" to the kernel fixed the shutdown problem properly.

So I see three issues in this bug, all due to the fact that the n-m failure messages suggest the wrong place to look for the real problem:

1. n-m does not cope with hal/dbus shutdown, thus spitting out messages leading people the wrong way.
2. Hangs on NFS/CIFS umount. Those might be used over VPN, so it won't be umounted beforehand, or network-manager could bring down the network in sendsigs, and umountnfs won't be able to umount without a very long timeout.
3. ACPI trouble with power off. Those people will get "System halted" with kernel messages activated and can fix it by tweaking their ACPI kernel settings.

Case (1) seems to chime with what I mentioned in comment #53 ( https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/138691/comments/53 ) about having the dbus shutdown script (K20dbus) in rc0.d as well. However, I did not verify at the time whether that has any ill side effects.

Case (2) is apparently what we experienced here. We do not have any VPN involved, but we do have NFS. The one thing I noticed: At home, I have an OpenBSD NFS server and currently (among others...) one Kubuntu 8.04 and one Kubuntu 7.10 workstation hanging off it, with several directories mounted statically (i.e. via fstab) from the NFS server. Neither of those shows the problems we observed at work. My guess is that it is not simply NFS, but in some way also the NIS+automounter set-up we have here.
Also, umountnfs did not time out in our set-up - at least not within 24h (I tried...)

johanden.se (johanden) wrote :

I've found a solution on ubuntu forum (http://ph.ubuntuforums.com/showthread.php?t=772733) where Bill_MI stated that unmounting the samba shares (CIFS) manually would solve the problem.

I've just tried unmounting them via sudo umount /media/sharex and it worked very well. This is on KDE 3.5.9 with kubuntu 8.04.

You are correct about the Samba shares. One case it applies to is in wireless network mounted drives that are mounted using wpa_supplicant. There is an ordering problem in /etc/init.d in that S15wpa-ifupdown is executed before any of the S??umount* scripts. This causes Samba to hang due to multiple network timeouts.

A workaround is to rename S31umountnfs.sh to S10umountnfs.sh in /etc/rc6.d. This forces network mounted drives to be unmounted before shutting down wireless. There are probably other ordering problems, but this fixes the network drive over wireless problem for me and shuts down much faster.

Note on the above: The rename should be done in /etc/rc0.d as well to cover shutdown. /etc/rc6.d covers reboot only.

johanden.se (johanden) wrote :

Thanks a lot Kenneth for that workaround. Tried it out immediately and it works for reboot and shut down!
Now my computer is finally working as it should! I just wish this was of higher importance and that there would be an official fix for this in a near future :)

Hew (hew) on 2008-07-13
Changed in network-manager:
importance: Low → Medium
status: Incomplete → Confirmed

You are quite right.I removed NetWorkManger only find the error message of
NetworkManger disapearing with nothing change of the problem.BUT,"acpi=off"
is the same.Another error tells me :halt:unable to iterate IDE devices:no
such files or director<http://forum.ubuntu.org.cn/viewtopic.php?t=105341&highlight=>
Do you have any idea about this?
THX.

2008/6/25 Philipp Kern <<email address hidden><phil%<email address hidden>>
>:

> Ok, as I debugged this with Michael yesterday:
>
> The bug, as it was reported, is about the failure messages sent to the
> console by network-manager. This is due to n-m not being able to cope
> with the hal and dbus shutdown through sendsigs, because own init
> scripts are missing, to shut the services down in a proper order.
>
> The problem is aggravated with usplash not showing the console with the
> init script output, but another one. The n-m failures are probably just
> sent to the active console. I did not debug this any further because
> Michael's problem was neither n-m nor NFS/CIFS related:
>
> I removed quiet and splash from the command line. This showed, upon
> shutdown, all init script and kernel messages. The kernel showed
> 'System halted' at last, so it was clear that it was an ACPI problem,
> i.e. the kernel is unable to turn the computer off. Somehow it didn't
> use ACPI on this particular machine, due to problems with the BIOS's DMI
> tables. Passing "acpi=off" to the kernel fixed the shutdown problem
> properly.
>
> So I see three issues in this bug, all due to the fact that the n-m
> failure messages suggest the wrong place to look for the real problem:
>
> 1. n-m does not cope with hal/dbus shutdown, thus spitting out messages
> leading people the wrong way.
> 2. Hangs on NFS/CIFS umount. Those might be used over VPN, so it won't be
> umounted beforehand, or network-manager could bring down the network in
> sendsigs, and umountnfs won't be able to umount without a very long timeout.
> 3. ACPI trouble with power off. Those people will get "System halted" with
> kernel messages activated and can fix it by tweaking their ACPI kernel
> settings.
>
> --
> system hangs at shutdown
> https://bugs.launchpad.net/bugs/138691
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Derek White (d-man97) wrote :

I have been having a similar problem to the ACPI part of this 'bug' for a while now and would like to state that the "halt: unable to iterate IDE devices: no such files or directory" message can also come from a failing HDD/mobo.

Recently I went pretty rough on my NTFS drive (on an ATA100 IDE drive) and ended up busting it pretty bad; mostly from hard power downs and not going into Vista to recheck enough. It was freezing up my whole system every time WindowsSearch got around to indexing the files in the bad sectors (or any other type of read/access in Windows/Linux). Eventually, Vista error check froze during index check (stage 2/5) and would never get to checking the files for errors. After using the drives boot-able CD-Rom utilities, I find out the drive has 17+ bad sectors and the internal recovery failed to reallocate them...on it's own (as it's supposed to do) and on several tries by the drive utility.

Anyways, during all this I started having weird power issues with my drives. I cannot restart the computer, or even restart after going into the BIOS... If I do, the HDD lights stays on full power and my Award BIOS hangs at "Detecting IDE devices:" and I must power down full for at least 5 seconds, then bring the power back up and all is fine.

So, with this full power down method, I have been able to use my Slave drive. I wiped my drives earlier in the process, so I am back with a fresh install of 8.04 with the newest -19 kernel. Pretty quickly, I started noticing my shutdowns not working and these halt errors. Since I do remember shutdowns working, and I upgraded to -19 kernel...it seems that may have been what broke my shutdowns. On the other hand, I installed all 239 updates basically simultaneously; so, that can't be said for certain.

Sleep/hibernate seem OK, but I'm not going to test them at this point. Progression during restart/shutdown:
1) Desktop shuts down.
2) Screen flickers.
3) I see the common network errors.
4) Screen flickers.
5) Shutdown splash screen shows up & the computer makes a sound like it is trying to shutdown practically simultaneously. If I check F8 terminal, the halt: error is seen; otherwise, the slash remains.
6) Nothing for about 10-15 seconds.
7) Some ata1.000 (?) error pops up with uMask(?) and other error details.
8) Ctrl-Alt-F# works, but I cannot log in to any terminal, and the ata1.000(?) errors keep coming every 10-15 seconds onto whichever terminal I am on.
9) This keeps up until I force the computer to power down.

Side note: I can't remove the "broken" drive to test this bug without it, as it is Master and my Slave is a Western Digital 30G that suffers from the click of death when it's alone/master.

I will make note of the drive errors, the ata1.000(?) things, next time I come across them, as I will not intentionally reproduce this.

-Derek

Do you have "halt: unable to iterate IDE devices: no such files or directory" when you try to shutdown?(In my case,it told me "networkmanager" error.When I entry recovery mode,type "halt",showing "halt: unable to iterate IDE devices: no such files or directory")
You can try to open terminal :

gksudo gedit /etc/modules

Then add a line:

apm power_off=1

Thx to "Confused57" of forum.ubuntu.org.

Hope your computer works properly

Derek White (d-man97) wrote :

I went into recovery mode several times today to check my drive and try it out since I've never used it before. I had no "halt:" errors this time, just my usual "ata1.00:" errors. I tried using 'shutdown' with -r, -h, -H, and -HF and all resulted in ata1.00 errors from recovery console and gnome-terminal.

I just tried adding "apm power_off=1" and it made no difference. I got the normal network messages, screen flickered to the splash screen with a completely black bar and the devices inside my tower sounded like they powered down immediately when the splash came up. Then it just sits there until the "ata1.00:" error. Hence, I removed it.

To me, it seems like program 'A' powers down the HDs before program 'B' (the one that produces the "ata1.00:" errors) is done with it. In System > Administration > Services I have both acpid and apmd running (default 8.04 install from LiveCD). This was the same in 7.10; so, it's most likely normal, but I figured it was worth mentioning.

I decided to write down the error and this is what happens:
<After splash screen, hit Ctrl-Alt-F? to bring up messages>
...
*Unmounting temp filesystems...
*Deactivating swap...
*Unmounting local filesystems...
*Will now halt
halt: Unable to iterate IDE devices: No such file or directory
[time] ata1.00: Exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[time] ata1.00: cmd ea/00:00:00:00:00/00:00:00:00:00/a0 tag 0
[time] ata1.00: status: {DRDY}
[time] ata1.01: revalidation failed (errno=-5)
<About 45 seconds goes by...>
[time] ata1.01: revalidation failed (errno=-5)
<About 45 seconds goes by...>
[time] ata1.01: revalidation failed (errno=-5)
<About 45 seconds goes by...>
[time] ata1.01: revalidation failed (errno=-5)
<About 45 seconds goes by...>
[time] ata1.01: revalidation failed (errno=-5)
<About 45 seconds goes by...>
[time] ata1.01: revalidation failed (errno=-5)
<5 seconds goes by and system powers down!>

So, Yay!? It powers down after awhile...I guess that's good new?

Alexander Sack (asac) wrote :

not a NM bug. if it was a bug it should be fixed by now as the shutdown behaviour has been considerably changed in NM 0.7 (intrepid)

Changed in network-manager:
status: Confirmed → Invalid
Paul Loughman (snowhog) wrote :

Philipp Kern wrote on 2008-06-25:

3. ACPI trouble with power off. Those people will get "System halted" with kernel messages activated and can fix it by tweaking their ACPI kernel settings

Not true here. I have a Toshiba Satellite P105-S6147 (dual-core T2060, 1024MB DDR2 SDRAM) and due to the (know) buggy BIOS, the boot time kernel option acpi=off must be included or I don't have working sound. And I have the "System halted" as the final displayed message on shutdown, and the laptop does not turn off - I have to do that manually with the power button.

Does not look like a D-Bus bug

Changed in dbus (Ubuntu):
status: Confirmed → Invalid
dino99 (9d9) wrote :
Changed in hal (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers